%global __provides_exclude_from %{python3_sitelib}/.*\\.js
%global __requires_exclude_from %{python3_sitelib}/.*\\.js
%define py_setup setup.py

Name:           spyder
Version:        4.2.1
Release:        %mkrel 1.4
Summary:        Scientific Python Development Environment
License:        MIT
Group:          Development/Python
URL:            https://github.com/spyder-ide/spyder
Source0:        https://github.com/%{name}-ide/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         spyder-4.2.1-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
Requires:       python3-qt5
Requires:       python3-qt5-webengine
Requires:       python3dist(atomicwrites)
Requires:       python3dist(chardet)
Requires:       python3dist(diff-match-patch)
Requires:       python3dist(intervaltree)
Requires:       python3dist(ipython)
Requires:       python3dist(jsonschema)
Requires:       python3dist(keyring)
Requires:       python3dist(spyder-kernels)
Requires:       python3dist(pycodestyle)
Requires:       python3dist(rope)
Requires:       python3dist(jedi)
Requires:       python3dist(pyflakes)
Requires:       python3dist(pygments)
Requires:       python3dist(qtconsole)
Requires:       python3dist(nbconvert)
Requires:       python3dist(numpydoc)
Requires:       python3dist(paramiko)
Requires:       python3dist(parso)
Requires:       python3dist(pexpect)
Requires:       python3dist(sphinx)
Requires:       python3dist(pylint)
Requires:       python3dist(psutil)
Requires:       python3dist(pyls-black)
Requires:       python3dist(pyls-spyder)
Requires:       python3dist(python-language-server)
Requires:       python3dist(pyxdg)
Requires:       python3dist(qdarkstyle)
Requires:       python3dist(qtawesome)
Requires:       python3dist(qtpy)
Requires:       python3dist(rtree)
Requires:       python3dist(pickleshare)
Requires:       python3dist(pyzmq)
Requires:       python3dist(cloudpickle)
Requires:       python3dist(textdistance)
Requires:       python3dist(three-merge)
Requires:       python3dist(watchdog)
Recommends:     python3dist(numpy)
Recommends:     python3dist(scipy)
Recommends:     python3dist(matplotlib)
%rename         %{name}3


%description
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt5
widgets.

This version use Python3.

%prep
%autosetup -p1

rm -rf PKG-INFO

# Remove DOS line endings
for file in `find -name "*.rst" -o -name "*.py" -o -name "*.css"` README.md; do
        sed "s|\r||g" $file > $file.new && \
        touch -r $file $file.new && \
        mv $file.new $file
done

# Fix default icon theme
sed -i -e '/icon_theme/s,spyder 3,spyder 2,' spyder/config/main.py

%build
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}
rm -rf %{buildroot}%{_bindir}/spyder_win_post_install.py

# install appdata file
mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 scripts/spyder.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

# adding a svg icon

%{__install} -d -m755 %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__install} -m644 img_src/spyder.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# provide spyder3 as symlink to spyder binary for continuity
ln -s %{_bindir}/spyder %{buildroot}%{_bindir}/spyder3


%files
%doc README.md
%{python3_sitelib}/spyder-*.egg-info
%{python3_sitelib}/spyder/
%{_bindir}/%{name}
%{_bindir}/spyder3
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/icons/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Sep 09 2022 papoteur <papoteur> 4.2.1-1.4.mga8
+ Revision: 1886164
- Relax some requirements (mga#30052)

* Thu Jan 07 2021 daviddavid <daviddavid> 4.2.1-1.3.mga8
+ Revision: 1669575
- add missing dependencies on python3-jsonschema and python3-keyring

* Thu Jan 07 2021 daviddavid <daviddavid> 4.2.1-1.2.mga8
+ Revision: 1669516
- add all missing dependencies

* Wed Jan 06 2021 daviddavid <daviddavid> 4.2.1-1.1.mga8
+ Revision: 1669326
- add missing dependency on python3-qdarkstyle

* Wed Jan 06 2021 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1669271
- new version: 4.2.1 (fixes mga#28013)
- add some new dependencies

* Sun Feb 16 2020 umeabot <umeabot> 3.3.6-2.mga8
+ Revision: 1535536
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 daviddavid <daviddavid> 3.3.6-1.mga8
+ Revision: 1452036
- new version: 3.3.6

* Thu Sep 26 2019 daviddavid <daviddavid> 3.3.3-2.mga8
+ Revision: 1446154
- rebuild for python3.8

* Tue Feb 19 2019 wally <wally> 3.3.3-1.mga7
+ Revision: 1368421
- new version 3.3.3
- update requires (mga#24386)
- default to spyder 2 icons for now (mga#24386)

* Sat Jan 12 2019 daviddavid <daviddavid> 3.2.8-4.mga7
+ Revision: 1355501
- fix rope dependency

* Fri Jan 11 2019 daviddavid <daviddavid> 3.2.8-3.mga7
+ Revision: 1355044
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.2.8-2.mga7
+ Revision: 1291506
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 philippem <philippem> 3.2.8-1.mga7
+ Revision: 1211466
- update to 3.2.8
- clean requires
- replace tabs with spaces

* Mon Mar 12 2018 philippem <philippem> 3.2.7-2.mga7
+ Revision: 1208407
- add missing require cloudpickle

* Sun Mar 11 2018 philippem <philippem> 3.2.7-1.mga7
+ Revision: 1208181
- update to 3.2.7

* Sat Jan 20 2018 daviddavid <daviddavid> 3.2.0-2.mga7
+ Revision: 1195077
- fix sed command for README.md file

* Tue Aug 15 2017 philippem <philippem> 3.2.0-1.mga7
+ Revision: 1140640
- provide only Py3 version
- update to 3.2.0

* Sat Aug 05 2017 pterjan <pterjan> 3.0.2-3.mga7
+ Revision: 1135717
- Rebuild for python 3.6

* Sun Jan 29 2017 daviddavid <daviddavid> 3.0.2-2.mga6
+ Revision: 1084009
- add some missing dependencies (fixes mga#20203)

* Sun Nov 27 2016 philippem <philippem> 3.0.2-1.mga6
+ Revision: 1070385
- update to 3.0.2

* Fri May 06 2016 philippem <philippem> 2.3.9-1.mga6
+ Revision: 1009721
- update to 2.3.9, change source url
- update to 2.3.9

* Fri Apr 22 2016 philippem <philippem> 2.3.8-3.mga6
+ Revision: 1005345
- change recommends for new ipython
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 philippem <philippem> 2.3.8-1.mga6
+ Revision: 908182
- update to 2.3.8

* Sat Oct 10 2015 philippem <philippem> 2.3.7-1.mga6
+ Revision: 889378
- update to 2.3.7

* Thu Oct 08 2015 daviddavid <daviddavid> 2.3.0-5.mga6
+ Revision: 887696
- add missing BuildRequires on python(3)-sphinx_rtd_theme
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-4.mga5
+ Revision: 748932
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.0-3.mga5
+ Revision: 730176
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 philippem <philippem> 2.3.0-1.mga5
+ Revision: 653176
- update to 2.3.0, add spyder3 for Python 3.4
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.4-3.mga4
+ Revision: 544518
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.4-2.mga4
+ Revision: 499891
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 30 2013 philippem <philippem> 2.2.4-1.mga4
+ Revision: 489696
- imported package spyder

